com.tibbo.aggregate.common.filter

## Class ColumnFunctionOperation

- java.lang.Object
- - com.tibbo.aggregate.common.filter.Operation
  - - com.tibbo.aggregate.common.filter.FunctionOperation
    - - com.tibbo.aggregate.common.filter.ColumnFunctionOperation

- All Implemented Interfaces:
    Expression
  Direct Known Subclasses:
    CheckDateFunctionOperation, CompareDateFunctionOperation, InFunctionOperation, IsNotNullFunctionOperation, IsNullFunctionOperation, LastNextPeriodFunctionOperation, SubstringFunctionOperation

      public abstract class ColumnFunctionOperation
      extends FunctionOperation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `FunctionOperation.FilterFunctions`

  - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `operands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnFunctionOperation(java.lang.String name, Expression... operands)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnName` | `getColumn()`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `getChildren, getDescription, getOperandCount, getPriority`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.Operation

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.filter.Expression

      `evaluate`

- - ### Constructor Detail

    - #### ColumnFunctionOperation

          public ColumnFunctionOperation(java.lang.String name,
                                         Expression... operands)

  - ### Method Detail

    - #### getColumn

          public ColumnName getColumn()